#!/bin/bash

LD_SO_PRELOAD=/etc/ld.so.preload
PRELOAD_LIB=/usr/local/lib/AppProtection/libAppProtection.so

logger "preload-library-remove.sh"

if [[ -f "${LD_SO_PRELOAD}" ]]; then

  logger "Unloading preload library"

  TMPFILE=$(/bin/tempfile)
  /bin/grep -v ${PRELOAD_LIB} ${LD_SO_PRELOAD} > ${TMPFILE}
  
  if [ ! -s "${TMPFILE}" ]; then
    /bin/rm "${LD_SO_PRELOAD}"
  else
    /bin/mv ${TMPFILE} ${LD_SO_PRELOAD}
    /bin/chmod 644 ${LD_SO_PRELOAD}
  fi
fi
